*** erts/etc/common/Makefile.in	Mon Oct  8 04:25:12 2001
--- erts/etc/common/Makefile.in.new	Sun Nov 25 11:53:21 2001
***************
*** 70,79 ****
--- 70,84 ----
  ifeq ($(findstring solaris,$(TARGET)),solaris)
  INSTALL_EMBEDDED_PROGS = $(BINDIR)/run_erl $(BINDIR)/to_erl $(BINDIR)/wd_keeper
  INSTALL_EMBEDDED_DATA = ../unix/start.src ../unix/start_erl.src
  endif
  
+ ifeq ($(findstring linux,$(TARGET)),linux)
+ INSTALL_EMBEDDED_PROGS = $(BINDIR)/run_erl $(BINDIR)/to_erl
+ INSTALL_EMBEDDED_DATA = ../unix/start.src ../unix/start_erl.src
+ endif
+ 
  ifeq ($(findstring vxworks,$(TARGET)), vxworks)
  INSTALL_EMBEDDED_PROGS = $(BINDIR)/erl_io $(BINDIR)/rdate $(BINDIR)/vxcall
  INSTALL_EMBEDDED_DATA = $(BINDIR)/erl_script.sam $(VXETC)/resolv.conf
  INSTALL_INCLUDES = $(VXETC)/reclaim.h
  INSTALL_TOP = $(VXETC)/README.VxWorks
*** ./erts/etc/unix/Install.src	Tue Aug 22 08:15:23 2000
--- ./erts/etc/unix/Install.src.in	Sun Nov 25 12:32:38 2001
***************
*** 62,74 ****
  sed -e "s;%FINAL_ROOTDIR%;$ERL_ROOT;" erl.src > erl
  chmod 755 erl
  
  #
  # Create start file for embedded system use,
! # currently only on Solaris/SunOS 5
  #
! if [ "X$TARGET" = "Xsunos5" ]; then
    (cd $ERL_ROOT/erts-%I_VSN%/bin;
     sed -e "s;%FINAL_ROOTDIR%;$ERL_ROOT;" start.src > start;
     chmod 755 start)
  fi
  
--- 62,74 ----
  sed -e "s;%FINAL_ROOTDIR%;$ERL_ROOT;" erl.src > erl
  chmod 755 erl
  
  #
  # Create start file for embedded system use,
! # currently only on Solaris/SunOS 5 & Linux
  #
! if [ "X$TARGET" = "Xsunos5" -o "X$TARGET" = "Xlinux" ]; then
    (cd $ERL_ROOT/erts-%I_VSN%/bin;
     sed -e "s;%FINAL_ROOTDIR%;$ERL_ROOT;" start.src > start;
     chmod 755 start)
  fi
  
***************
*** 87,97 ****
    /bin/rm -f epmd
  fi
  
  ln -s $ERL_ROOT/erts-%I_VSN%/bin/epmd epmd
  
! if [ "X$TARGET" = "Xsunos5" ]; then
    cp -p $ERL_ROOT/erts-%I_VSN%/bin/run_erl .
    cp -p $ERL_ROOT/erts-%I_VSN%/bin/to_erl .
    cp -p $ERL_ROOT/erts-%I_VSN%/bin/start .
    sed -e "s;%EMU%;%EMULATOR%%EMULATOR_NUMBER%;" $ERL_ROOT/erts-%I_VSN%/bin/start_erl.src > start_erl
    chmod 755 start_erl
--- 87,97 ----
    /bin/rm -f epmd
  fi
  
  ln -s $ERL_ROOT/erts-%I_VSN%/bin/epmd epmd
  
! if [ "X$TARGET" = "Xsunos5" -o "X$TARGET" = "Xlinux" ]; then
    cp -p $ERL_ROOT/erts-%I_VSN%/bin/run_erl .
    cp -p $ERL_ROOT/erts-%I_VSN%/bin/to_erl .
    cp -p $ERL_ROOT/erts-%I_VSN%/bin/start .
    sed -e "s;%EMU%;%EMULATOR%%EMULATOR_NUMBER%;" $ERL_ROOT/erts-%I_VSN%/bin/start_erl.src > start_erl
    chmod 755 start_erl
